Skip to content
Start here

Bulk edit per-operation schema validation settings

client.schemaValidation.settings.operations.bulkEdit(OperationBulkEditParams { zone_id, body } params, RequestOptionsoptions?): OperationBulkEditResponse { mitigation_action, operation_id }
PATCH/zones/{zone_id}/schema_validation/settings/operations

Updates schema validation settings for multiple API operations in a single request. Efficient for applying consistent validation rules across endpoints.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayDomain API Gateway
ParametersExpand Collapse
params: OperationBulkEditParams { zone_id, body }
zone_id: string

Path param: Identifier.

maxLength32
body: Record<string, Body>

Body param

mitigation_action?: "none" | "log" | "block" | null

Mitigation actions are as follows:

  • log - log request when request does not conform to schema * block - deny access to the site when request does not conform to schema * none - skip running schema validation * null - clears any existing per-operation setting
One of the following:
"none"
"log"
"block"
ReturnsExpand Collapse
OperationBulkEditResponse = Record<string, item>

Operation ID to per operation setting mapping

mitigation_action: "log" | "block" | "none"

When set, this applies a mitigation action to this operation which supersedes a global schema validation setting just for this operation

  • "log" - log request when request does not conform to schema for this operation
  • "block" - deny access to the site when request does not conform to schema for this operation
  • "none" - will skip mitigation for this operation
One of the following:
"log"
"block"
"none"
operation_id: string

UUID.

maxLength36
minLength36

Bulk edit per-operation schema validation settings

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.schemaValidation.settings.operations.bulkEdit({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  body: {
    '3818d821-5901-4147-a474-f5f5aec1d54e': {},
    'b17c8043-99a0-4202-b7d9-8f7cdbee02cd': {},
  },
});

console.log(response);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "foo": {
      "mitigation_action": "block",
      "operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "foo": {
      "mitigation_action": "block",
      "operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
    }
  },
  "success": true
}